package com.ym.mec.cms.controller.queryinfo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

import com.ym.mec.cms.dal.entity.NewsStatusEnum;
import com.ym.mec.common.page.QueryInfo;

public class NewsInformationQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "类型,1精彩活动，2热门资讯,3banner类型", required = false)
	private Integer type;
	
	@ApiModelProperty(value = "子类型", required = false)
	private Integer subType;

	@ApiModelProperty(value = "资讯状态", required = false)
	private NewsStatusEnum status;

	@ApiModelProperty(value = "标题", required = false)
	private String title;

	@ApiModelProperty(value = "备注", required = false)
	private String memo;
	
	@ApiModelProperty(value = "声部编号", required = false)
	private Integer subjectId;
	
	@ApiModelProperty(value = "分部编号", required = false)
	private Integer organId;

	@ApiModelProperty(value = "需排除编号")
	private List<Integer> excludeIds;
	
	private String clientName;
	
	private String clientId;
	
	private String organIdList;
	
	private Date date;

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getSubType() {
		return subType;
	}

	public void setSubType(Integer subType) {
		this.subType = subType;
	}

	public NewsStatusEnum getStatus() {
		return status;
	}

	public void setStatus(NewsStatusEnum status) {
		this.status = status;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getClientName() {
		return clientName;
	}

	public void setClientName(String clientName) {
		this.clientName = clientName;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public String getOrganIdList() {
		return organIdList;
	}

	public void setOrganIdList(String organIdList) {
		this.organIdList = organIdList;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public List<Integer> getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(List<Integer> excludeIds) {
		this.excludeIds = excludeIds;
	}
}
